# Class SGEUtil

java.lang.Object
com.sun.grid.util.SGEUtil

public class SGEUtil extends Object
This class defines some helper methods which are vital for gridengine.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getArch(File sgeRoot)`
`static SGEUtil`
`getInstance()`
Get the instance of the `SGEUtil`.
`char[]`
`getPassword(String prompt)`
Read a password from the console.
`int`
`getPID()`
get pid of the java virtual machine
`static boolean`
`isWindows()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static SGEUtil getInstance()
Get the instance of the `SGEUtil`. The first call of this method tries to load the native library juti.

Returns:
  the instance of `SGEUtil`
See Also:
  - `System.loadLibrary(String)`RESTRICTED

### getPID

public int getPID()
get pid of the java virtual machine

Returns:
  the pid of the java virtual machine

### getPassword

public char[] getPassword(String prompt)
Read a password from the console.

Parameters:
  `prompt` - the prompt
Returns:
  the password

### isWindows

public static boolean isWindows()

### getArch

public static String getArch(File sgeRoot) throws IOException

Throws:
  `IOException`